# Provenpackagers are welcome to modify this package, but please don't obsolete
# additional packages without a corresponding bugzilla ticket being filed.

Name:       fedora-obsolete-packages
# Please keep the version equal to the targeted Fedora release
Version:    27
Release:    8
Summary:    A package to obsolete retired packages

# This package has no actual content; there is nothing to license.
License:    Public Domain
URL:        https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
BuildArch:  noarch

Source0:    README

# Add Obsoletes: below, along with links to the relevant bugzilla tickets filed
# against this package and the version in which the entry can be removed.
#
# All Obsoletes: entries must be versioned, with the version being the same as
# or just higher than the last version-release of the obsoleted package.  This
# allows the package to return to the distribution later.

# https://bugzilla.redhat.com/show_bug.cgi?id=1234567
# Remove in f28
# Obsoletes: foo <= 3.5-7

# https://bugzilla.redhat.com/show_bug.cgi?id=1451372
# Remove in F29 to allow for F25->F26->F28 upgrades.
Obsoletes: perl-ZeroMQ <= 0.23-13.fc25
Obsoletes: perl-ZMQ-LibZMQ2 <= 1.09-9.fc25
Obsoletes: perl-ZMQ-LibZMQ3 <= 1.19-5.fc25

# https://bugzilla.redhat.com/show_bug.cgi?id=1463408
# Remove in F28 to allow for F24->F25->F27 upgrades
Obsoletes: dap2rpm <= 0.1.11-5.fc25
Obsoletes: devassistant <= 0.11.2-8.fc25
Obsoletes: devassistant-cli <= 0.11.2-8.fc25
Obsoletes: devassistant-core <= 0.11.2-8.fc25
Obsoletes: devassistant-dap-c <= 0.11-4.fc25
Obsoletes: devassistant-dap-common_args <= 0.10.0-10.fc25
Obsoletes: devassistant-dap-cpp <= 0.11-4.fc25
Obsoletes: devassistant-dap-custom <= 0.10.0-10.fc25
Obsoletes: devassistant-dap-dap <= 1.3-4.fc25
Obsoletes: devassistant-dap-devassistant <= 0.11-4.fc25
Obsoletes: devassistant-dap-docker <= 0.11-4.fc25
Obsoletes: devassistant-dap-eclipse <= 0.10.0dev-11.fc25
Obsoletes: devassistant-dap-git <= 0.11-4.fc25
Obsoletes: devassistant-dap-github <= 0.10.1-10.fc25
Obsoletes: devassistant-dap-java <= 0.11.1-4.fc25
Obsoletes: devassistant-dap-nodejs <= 0.11-4.fc25
Obsoletes: devassistant-dap-openscad <= 0.0.3-4.fc25
Obsoletes: devassistant-dap-perl <= 0.11-4.fc25
Obsoletes: devassistant-dap-php <= 0.11-4.fc25
Obsoletes: devassistant-dap-python <= 0.11-4.fc25
Obsoletes: devassistant-dap-ruby <= 0.11-4.fc25
Obsoletes: devassistant-dap-tito <= 0.10.0dev-9.fc25
Obsoletes: devassistant-dap-vim <= 0.10.0dev-9.fc25
Obsoletes: devassistant-devel <= 0.11.2-8.fc25
Obsoletes: devassistant-gui <= 0.11.2-8.fc25
Obsoletes: python-dap2rpm <= 0.1.11-5.fc25
Obsoletes: python-dapp <= 0.3.0-6.fc25
Obsoletes: python3-dapp <= 0.3.0-6.fc25
Obsoletes: python3-dap2rpm <= 0.1.11-5.fc25

# https://bugzilla.redhat.com/show_bug.cgi?id=1498850
# Remove in F28
Obsoletes: strigi <= 0.7.8-12.fc24
Obsoletes: strigi-libs <= 0.7.8-12.fc24
Obsoletes: strigi-devel <= 0.7.8-12.fc24
Obsoletes: libkexiv2 <= 15.08.3-2.fc24
Obsoletes: libkexiv2-devel <= 15.08.3-2.fc24

# https://bugzilla.redhat.com/show_bug.cgi?id=1443614
# Remove in F30, I guess? Package was current in F26
Obsoletes: webkitgtk < 2.4.12
Obsoletes: webkitgtk-devel < 2.4.12
Obsoletes: webkitgtk3 < 2.4.12
Obsoletes: webkitgtk3-devel < 2.4.12

# Remove in F29
Obsoletes: hawkey < 0.7
Obsoletes: hawkey-devel < 0.7
Obsoletes: python2-hawkey < 0.7
Obsoletes: python3-hawkey < 0.7

# Remove in F29
Obsoletes: libhif < 0.3
Obsoletes: libhif-devel < 0.3

# Remove in F29
Obsoletes: kf5-libkface < 16.08.90
Obsoletes: kf5-libkface-devel < 16.08.90

# Remove in F30
Obsoletes: seed < 3.9
Obsoletes: seed-devel < 3.9

%description
This package exists only to obsolete other packages which need to be removed
from the distribution for some reason.

Current obsoleted packages:
  perl-ZeroMQ <= 0.23-13.fc25
  perl-ZMQ-LibZMQ2 <= 1.09-9.fc25
  perl-ZMQ-LibZMQ3 <= 1.19-5.fc25
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1451372)

  dap2rpm <= 0.1.11-5.fc25
  devassistant-cli <= 0.11.2-8.fc25
  devassistant-core <= 0.11.2-8.fc25
  devassistant-dap-common_args <= 0.10.0-10.fc25
  devassistant-dap-cpp <= 0.11-4.fc25
  devassistant-dap-custom <= 0.10.0-10.fc25
  devassistant-dap-c <= 0.11-4.fc25
  devassistant-dap-dap-1.3-4.fc25
  devassistant-dap-devassistant <= 0.11-4.fc25
  devassistant-dap-docker <= 0.11-4.fc25
  devassistant-dap-eclipse <= 0.10.0dev-11.fc25
  devassistant-dap-github <= 0.10.1-10.fc25
  devassistant-dap-git <= 0.11-4.fc25
  devassistant-dap-java <= 0.11.1-4.fc25
  devassistant-dap-nodejs <= 0.11-4.fc25
  devassistant-dap-openscad <= 0.0.3-4.fc25
  devassistant-dap-perl <= 0.11-4.fc25
  devassistant-dap-php <= 0.11-4.fc25
  devassistant-dap-python <= 0.11-4.fc25
  devassistant-dap-ruby <= 0.11-4.fc25
  devassistant-dap-tito <= 0.10.0dev-9.fc25
  devassistant-dap-vim <= 0.10.0dev-9.fc25
  devassistant-devel <= 0.11.2-8.fc25
  devassistant-gui <= 0.11.2-8.fc25
  devassistant <= 0.11.2-8.fc25
  python-dapp <= 0.3.0-6.fc25
  python-dap2rpm <= 0.1.11-5.fc25
  python3-dapp <= 0.3.0-6.fc25
  python3-dap2rpm <= 0.1.11-5.fc25
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1463408)

  webkitgtk < 2.4.12
  webkitgtk-devel < 2.4.12
  webkitgtk3 < 2.4.12
  webkitgtk3-devel < 2.4.12
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1443614)

  strigi <= 0.7.8-12.fc24
  libkexiv2 <= 15.08.3-2.fc24
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1498850)

  kf5-libkface < 16.08.90
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1423813)


%prep
%autosetup -c -T
cp %SOURCE0 .


%files
%doc README


%changelog
* Sat Oct 07 2017 Rex Dieter <rdieter@fedoraproject.org> - 27-8
- Obsolets: kf5-libkface (#1423813)

* Sat Oct 07 2017 Rex Dieter <rdieter@fedoraproject.org> - 27-7
- Obsoletes: strigi, libkexiv2 (#1498850)

* Tue Aug 29 2017 Kalev Lember <klember@redhat.com> - 27-6
- Add seed obsoletes

* Tue Aug 29 2017 Kalev Lember <klember@redhat.com> - 27-5
- Add hawkey and libhif obsoletes

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 27-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 11 2017 Adam Williamson <awilliam@redhat.com> - 27-3
- Add webkitgtk and webkitgtk3 (and -devel) - RHBZ #1443614

* Wed Jun 21 2017 Jason L Tibbitts III <tibbs@math.uh.edu> - 27-2
- Add various devassistant-related packages from https://bugzilla.redhat.com/show_bug.cgi?id=1463408

* Tue May 16 2017 Jason L Tibbitts III <tibbs@math.uh.edu> - 27-1
- Add perl ZMQ packages from https://bugzilla.redhat.com/show_bug.cgi?id=1451372

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 14 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 26-1
- Initial release; nothing to obsolete yet.
